Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
Ipopt::ExactHessianUpdater Class Reference

Implementation of the HessianUpdater for the use of exact second derivatives. More...

`#include <IpExactHessianUpdater.hpp>`

Inheritance diagram for Ipopt::ExactHessianUpdater:
[legend]

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject More...
virtual void | UpdateHessian ()
| Update the Hessian based on the current information in IpData. More...
Constructors/Destructors
| ExactHessianUpdater ()
| Default Constructor. More...
virtual | ~ExactHessianUpdater ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::HessianUpdater
| HessianUpdater ()
| Default Constructor. More...
virtual | ~HessianUpdater ()
| Default destructor. More...
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| ExactHessianUpdater (const ExactHessianUpdater &)
| Copy Constructor. More...
void | operator= (const ExactHessianUpdater &)
| Overloaded Equals Operator. More...

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Implementation of the HessianUpdater for the use of exact second derivatives.

Definition at line 20 of file IpExactHessianUpdater.hpp.

## Constructor & Destructor Documentation

Ipopt::ExactHessianUpdater::ExactHessianUpdater | ( |  | ) |
| inline

Default Constructor.

Definition at line 26 of file IpExactHessianUpdater.hpp.

virtual Ipopt::ExactHessianUpdater::~ExactHessianUpdater | ( |  | ) |
| inline virtual

Default destructor.

Definition at line 30 of file IpExactHessianUpdater.hpp.

Ipopt::ExactHessianUpdater::ExactHessianUpdater | ( | const ExactHessianUpdater & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::ExactHessianUpdater::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix
| ) |  |
| virtual

overloaded from AlgorithmStrategyObject

Implements Ipopt::HessianUpdater.

virtual void Ipopt::ExactHessianUpdater::UpdateHessian | ( |  | ) |
| virtual

Update the Hessian based on the current information in IpData.

Implements Ipopt::HessianUpdater.

void Ipopt::ExactHessianUpdater::operator= | ( | const ExactHessianUpdater & |  | ) |
| private

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- src/Algorithm/IpExactHessianUpdater.hpp